Uninitialized constant Rails::Initializer::Engines


#1

I’m getting this stack trace from ./dispatch.fcgi:

/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/dependencies.rb:477:in const_missing': uninitialized constant Rails::Initializer::Engines (NameError) from ../config/../vendor/plugins/datetime_toolbocks/init.rb:23:inload_plugin’
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:401:in load_plugin' from /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/core_ext/kernel/reporting.rb:11:insilence_warnings’
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:401:in load_plugin' from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:185:inload_plugins’
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:185:in each' from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:185:inload_plugins’
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:105:in process' from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:43:insend’
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:43:in run' from ./../config/environment.rb:14 from ./dispatch.fcgi:21:inrequire’
from ./dispatch.fcgi:21

Anyone know what this is about? Thanks.


#2

It looks like you need to install the engines plugin. The author of the datetime_toolbocks plugin should be able to advise you of the correct version to use.

  • J *
    ~